import { VNode } from "vue";
export declare function toast(text: string, during?: number): void;
export declare function loading(text?: string): () => void;
export declare function dialog(options?: {
    title?: string;
    content?: string;
    showClose?: boolean;
    cancelText?: string;
    confirmText?: string;
    onClose?: () => void;
    onCancel?: () => void;
    onConfirm?: () => void;
}): () => void;
export declare function popBottom(el: HTMLElement | VNode, options?: {
    absoluteLeft?: string;
    absoluteTop?: string;
    absoluteWidth?: string;
    absoluteHeight?: string;
    popBgColor?: string;
}): {
    (): void;
    vnode: VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>;
};
export declare function popTop(el: HTMLElement | VNode, options?: {
    absoluteLeft?: string;
    absoluteTop?: string;
    absoluteWidth?: string;
    absoluteHeight?: string;
    popBgColor?: string;
}): {
    (): void;
    vnode: VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>;
};
export declare function popLeft(el: HTMLElement | VNode, options?: {
    absoluteLeft?: string;
    absoluteTop?: string;
    absoluteWidth?: string;
    absoluteHeight?: string;
    popBgColor?: string;
}): {
    (): void;
    vnode: VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>;
};
export declare function popRight(el: HTMLElement | VNode, options?: {
    absoluteLeft?: string;
    absoluteTop?: string;
    absoluteWidth?: string;
    absoluteHeight?: string;
    popBgColor?: string;
}): {
    (): void;
    vnode: VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>;
};
export declare function popCenter(el: HTMLElement | VNode, options?: {
    absoluteLeft?: string;
    absoluteTop?: string;
    absoluteWidth?: string;
    absoluteHeight?: string;
    popBgColor?: string;
}): {
    (): void;
    vnode: VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>;
};
export declare function popAbsolute(el: HTMLElement | VNode, options?: {
    absoluteLeft?: string;
    absoluteTop?: string;
    absoluteWidth?: string;
    absoluteHeight?: string;
    popBgColor?: string;
}): {
    (): void;
    vnode: VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>;
};
export declare const popBottomSample: () => {
    (): void;
    vnode: VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>;
};
export declare const popTopSample: () => {
    (): void;
    vnode: VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>;
};
export declare const popLeftSample: () => {
    (): void;
    vnode: VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>;
};
export declare const popRightSample: () => {
    (): void;
    vnode: VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>;
};
export declare const popCenterSample: () => {
    (): void;
    vnode: VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>;
};
export declare const popAbsoluteSample: () => {
    (): void;
    vnode: VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }>;
};
export declare function plateKeyboard(options?: {
    initPlates?: string[];
    completePlateLength?: number;
    onPlates?: (plates: string[]) => void;
}): () => void;
